#include "tycho.h"

MapProps::MapProps(Project *parent) :
	QDialog(parent),
	m_mapModel(parent->mapModel())
{
	setupUi(this);

	setModal(true);

	auto bbox = new QDialogButtonBox(this);
	bbox->setStandardButtons(QDialogButtonBox::Cancel | QDialogButtonBox::Ok);
	verticalLayout->addWidget(bbox);

	connect(bbox, &QDialogButtonBox::accepted, this, &QDialog::accept);
	connect(bbox, &QDialogButtonBox::rejected, this, &QDialog::reject);

	dbgPrintFunc();
}

MapProps::~MapProps()
{
	dbgPrintFunc();
}

void MapProps::accept()
{
	done(QDialog::Accepted);
}

// EOF
